package com.ruoyi.web.controller.crops;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.crops.domain.CropsDrought;
import com.ruoyi.crops.service.ICropsDroughtService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 作物旱情controller
 */
@RestController
@RequestMapping("/crops/drought")
public class CropsDroughtController extends BaseController {
    @Autowired
    private ICropsDroughtService iCropsDroughtService;

    /**
     * 批量新增
     * @param map
     * @return
     */
    @PostMapping("/insertBatch")
    public AjaxResult insertBatch(@RequestBody Map<String, List<CropsDrought>> map){
        List<CropsDrought> cropDroughtList = map.get("cropDroughtList");
        return toAjax(iCropsDroughtService.insertBatch(cropDroughtList));
    }

    /**
     * 根据时间查询
     * @param time
     * @return
     */
    @GetMapping("/{time}")
    public List<CropsDrought> selectByTime(@PathVariable("time")Date time){
        return iCropsDroughtService.selectByTime(time);
    }
}
