package com.ruoyi.web.controller.crops;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.crops.domain.CropStructure;
import com.ruoyi.crops.domain.CropsGrowth;
import com.ruoyi.crops.service.ICropsGrowthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 作物长势controller
 */
@RestController
@RequestMapping("/crops/growth")
public class CropsGrowthController extends BaseController {
    @Autowired
    private ICropsGrowthService iCropsGrowthService;

    /**
     * 批量新增
     * @param map
     * @return
     */
    @PostMapping("/insertBatch")
    public AjaxResult insertBatch(@RequestBody Map<String, List<CropsGrowth>> map){
        List<CropsGrowth> cropGrowthList = map.get("cropGrowthList");
        return toAjax(iCropsGrowthService.insertBatch(cropGrowthList));
    }

    /**
     * 根据时间查询
     * @param time
     * @return
     */
    @GetMapping("/{time}")
    public List<CropsGrowth> selectByTime(@PathVariable("time") Date time){
        return iCropsGrowthService.selectByTime(time);
    }
}
