package com.ruoyi.web.controller.crops;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.crops.domain.CropStructure;
import com.ruoyi.crops.service.ICropsStructureService;
import org.apache.ibatis.annotations.Param;
import org.aspectj.weaver.loadtime.Aj;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.parameters.P;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 种植结构controller
 */
@RestController
@RequestMapping("/crops/structure")
public class CropsStructureController extends BaseController {
    @Autowired
    private ICropsStructureService iCropsStructureService;
    /**
     * 新增数据
     * @param cropStructure
     * @return
     */
    @PostMapping
    public AjaxResult add(@RequestBody CropStructure cropStructure){
        return toAjax(iCropsStructureService.insertCropsStructure(cropStructure));
    }

    /**
     * 批量新增数据
     * @param map map集合方式存放数组json字符串
     * @return
     */
    @PostMapping("/insertBatch")
    public AjaxResult insertBatch(@RequestBody Map<String,List<CropStructure>> map){
        List<CropStructure> cropStructureList = map.get("cropStructureList");
        return toAjax(iCropsStructureService.insertBatch(cropStructureList));
    }

    /**
     * 根据时间查询
     * @param time
     * @return
     */
    @GetMapping("/{time}")
    public List<CropStructure> selectByTime(@PathVariable Date time){
        return iCropsStructureService.selectByTime(time);
    }


}
