package com.ruoyi.web.controller.crops;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.crops.domain.CropsYield;
import com.ruoyi.crops.service.ICropsYieldService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 作物产量查询
 */
@RestController
@RequestMapping("/crops/yield")
public class CropsYieldConeroller extends BaseController {
    @Autowired
    private ICropsYieldService iCropsYieldService;

    /**
     * 根据年份查询
     * @param year
     * @return
     */
    @GetMapping("/{year}")
    public List<CropsYield> selectByYear(@PathVariable Integer year){
       return iCropsYieldService.selectByYear(year);
    }

    /**
     * 批量新增
     * @param map
     * @return
     */
    @PostMapping("/insertBatch")
    public AjaxResult insertBatch(@RequestBody Map<String,List<CropsYield>> map){
        List<CropsYield> cropYieldList = map.get("cropYieldList");
        return toAjax(iCropsYieldService.insertBatch(cropYieldList));

    }
}
