package com.ruoyi.web.controller.crops;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.crops.domain.EnvironmentalData;
import com.ruoyi.crops.service.IEnvironmentalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.parameters.P;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 环境数据controller
 */
@RestController
@RequestMapping("/environmental")
public class EnvironmentalController extends BaseController {
    @Autowired
    private IEnvironmentalService iEnvironmentalService;

    /**
     * 根据大棚编号查询
     *
     * @param number
     * @return
     */
    @GetMapping("/{number}")
    private List<EnvironmentalData> selectByNumber(@PathVariable Integer number) {
        return iEnvironmentalService.selectByNumber(number);
    }

    /**
     * 新增单条数据
     *
     * @param environmentalData
     * @return
     */
    @PostMapping
    private AjaxResult insert(@RequestBody EnvironmentalData environmentalData) {
        return toAjax(iEnvironmentalService.insert(environmentalData));
    }
}
