package com.ruoyi.web.controller.crops;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.crops.domain.MachineParameter;
import com.ruoyi.crops.service.IMachineParameterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 水肥一体机参数controller
 */
@RestController
@RequestMapping("/machine/parameter")
public class MachineParameterController extends BaseController {

    @Autowired
    private IMachineParameterService machineParameterService;

    /**
     * 根据大棚名称进行查询
     *
     * @param name
     * @return
     */
    @GetMapping("/{name}")
    public List<MachineParameter> selectByName(@PathVariable String name) {
        return machineParameterService.selectByName(name);
    }

    /**
     * 新增单条数据
     *
     * @param machineParameter
     * @return
     */
    @PostMapping
    public AjaxResult insert(@RequestBody MachineParameter machineParameter) {
        return toAjax(machineParameterService.insert(machineParameter));
    }
}
