package com.ruoyi.web.controller.crops;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.crops.domain.OperationRecords;
import com.ruoyi.crops.service.IOperationRecordsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 操作记录controller
 */
@RestController
@RequestMapping("operation/records")
public class OperationRecordsController extends BaseController {
    @Autowired
    private IOperationRecordsService iOperationRecordsService;

    /**
     * 查询全部记录
     *
     * @return
     */
    @GetMapping("/list")
    public List<OperationRecords> listAll() {
        return iOperationRecordsService.selectAll();
    }

    /**
     * 新增单条数据
     *
     * @param operationRecords
     * @return
     */
    @PostMapping
    public AjaxResult insert(@RequestBody OperationRecords operationRecords) {
        return toAjax(iOperationRecordsService.insert(operationRecords));
    }

}
