package com.ruoyi.web.controller.crops;

import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.crops.domain.UserInfo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.time.Duration;
import java.util.HashMap;

@RestController
@RequestMapping("/user/info")

public class UserInfoController extends BaseController {
    private static final Logger logger = LoggerFactory.getLogger("scheduled");

    @Autowired
    private RedisTemplate redisTemplate;
    @Value("${url.userInfo}")
    private String url;

    @Scheduled(fixedDelay = 60 * 60 * 1000 * 10)
    public void userInfo() {
        HashMap<String, Object> paramMap = new HashMap<>();
        paramMap.put("username", "18954905838");
        paramMap.put("password", "112233");
        String result = HttpUtil.post(url, paramMap);
        UserInfo userInfo = JSONObject.parseObject(result, UserInfo.class);
        redisTemplate.opsForValue().set("cropsUserInfo", userInfo, Duration.ofSeconds(userInfo.getExpire()));

        logger.info("更新redis中session信息");
    }

}
