package com.ruoyi.web.controller.crops;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.DateUtil;
import com.ruoyi.crops.domain.WaringNumber;
import com.ruoyi.crops.domain.WarningInformation;
import com.ruoyi.crops.service.IWarningService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;

/**
 * 预警信息controller
 */
@RestController
@RequestMapping("/warning/information")
public class WarningController extends BaseController {
    @Autowired
    private IWarningService iWarningService;

    /**
     * 根据时间查询
     *
     * @return
     */
    @GetMapping("/selectByTime")
    public List<WarningInformation> selectBytTime(@RequestParam Date startTime, @RequestParam Date endTime) {
        return iWarningService.selectByTime(startTime, endTime);
    }

    /**
     * 新增单条数据
     *
     * @param warningInformation
     * @return
     */
    @PostMapping
    public AjaxResult insert(@RequestBody WarningInformation warningInformation) {
        return toAjax(iWarningService.insert(warningInformation));
    }

    @GetMapping("/numberOfTimes")
    public AjaxResult numberOfTimes() {
        List<WarningInformation> daylist = iWarningService.selectByTime(DateUtil.getDayBegin(), DateUtil.getDayEnd());
        int dayNumber = daylist.size();

        List<WarningInformation> weeklist = iWarningService.selectByTime(DateUtil.getBeginDayOfWeek(), DateUtil.getEndDayOfWeek());
        int weekNumber = weeklist.size();

        List<WarningInformation> monthlist = iWarningService.selectByTime(DateUtil.getBeginDayOfMonth(), DateUtil.getEndDayOfMonth());
        int monthNumber = monthlist.size();
        WaringNumber waringNumber = new WaringNumber();
        waringNumber.setDayNumber(dayNumber);
        waringNumber.setWeekNumber(weekNumber);
        waringNumber.setMonthNumber(monthNumber);
        return AjaxResult.success(waringNumber);
    }
}

