package com.ruoyi.web;

import cn.hutool.http.HttpUtil;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.ruoyi.crops.domain.DeviceSense;
import com.ruoyi.crops.domain.FertigationSense;
import com.ruoyi.crops.domain.WarningInformation;
import com.ruoyi.crops.domain.gsonBean.GsonDeviceSenseBean;
import com.ruoyi.crops.service.IFertigationSenseService;
import com.ruoyi.crops.service.IWarningService;
import it.geosolutions.geoserver.rest.GeoServerRESTManager;
import it.geosolutions.geoserver.rest.GeoServerRESTPublisher;
import it.geosolutions.geoserver.rest.encoder.GSLayerEncoder;
import it.geosolutions.geoserver.rest.encoder.feature.GSFeatureTypeEncoder;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.test.context.SpringBootTest;
import java.lang.reflect.Field;
import java.net.URL;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.GregorianCalendar;
import java.util.HashMap;
import java.util.Map;

import static org.assertj.core.util.DateUtil.now;

@SpringBootTest
public class PssTest {

    @Value("${geoserver.url}")
    private String url;
    @Value("${geoserver.username}")
    private String username;
    @Value("${geoserver.password}")
    private String password;

    @Autowired
    private IWarningService iWarningService;
    @Test
    public void test() throws Exception {
//        publisherLayer("PJZ","zwhq_2023-05-11","zwhq","a","PJZ:zwcl_xm_2023-04-20","c",1);
        getDayBegin();
    }

    public static java.util.Date getDayBegin() {
        Calendar cal = new GregorianCalendar();
        cal.set(Calendar.HOUR_OF_DAY, 0);
        cal.set(Calendar.MINUTE, 0);
        cal.set(Calendar.SECOND, 0);
        cal.set(Calendar.MILLISECOND, 0);
        System.out.println(cal.getTime());
        return cal.getTime();
    }

    public boolean publisherLayer(String workspaceName,String dataStoreName,String styleName, String tableName,String layerName, String layerAlias, int crsCode) throws Exception {
        URL u = new URL(url);
        GeoServerRESTManager manager = new GeoServerRESTManager(u, username, password);
        GeoServerRESTPublisher publisher = manager.getPublisher();

        //图层设置
        GSFeatureTypeEncoder gsFeatureTypeEncoder = new GSFeatureTypeEncoder();
        gsFeatureTypeEncoder.setNativeName(tableName); //表名
        gsFeatureTypeEncoder.setName(layerName); // 图层名称
        gsFeatureTypeEncoder.setTitle(layerAlias);// 图层别名
        gsFeatureTypeEncoder.setSRS("EPSG:" + crsCode); //坐标系

        GSLayerEncoder styleEncoder = new GSLayerEncoder(); //设置样式
        styleEncoder.setDefaultStyle(workspaceName,styleName);

        boolean publishDBLayerResult = publisher.publishDBLayer(workspaceName, dataStoreName, gsFeatureTypeEncoder, styleEncoder);
        return publishDBLayerResult;
    }
}

