package com.ruoyi.crops.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 作物综合数据对象 crops_comprehensive_data
 *
 * @author my
 * @date 2023-04-20
 */
public class CropsComprehensiveData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 镇耕地面积(万亩) */
    @Excel(name = "镇耕地面积(万亩)")
    private Float cultivatedArea;

    /** 粮食总产(万吨) */
    @Excel(name = "粮食总产(万吨)")
    private Float foodstuffProduction;

    /** 蔬菜种植面积(亩) */
    @Excel(name = "蔬菜种植面积(亩)")
    private Long vegetablePlantingArea;

    /** 蔬菜总产(吨) */
    @Excel(name = "蔬菜总产(吨)")
    private Long vegetableProduction;

    /** 农产品种类 */
    @Excel(name = "农产品种类")
    private Long type;

    /** 农产品种植面积(亩) */
    @Excel(name = "农产品种植面积(亩)")
    private Long agriculturalPlantingArea;

    /** 特色农业总产量(吨) */
    @Excel(name = "特色农业总产量(吨)")
    private Long agricultureProduction;

    /** 特色农业年产值(万元) */
    @Excel(name = "特色农业年产值(万元)")
    private Long agricultureOutputVaule;

    /** 总人口(人) */
    @Excel(name = "总人口(人)")
    private Long totalPopulation;

    /** 占地面积(平方公里) */
    @Excel(name = "占地面积(平方公里)")
    private Float coverArea;

    /** 示范大棚数量(个) */
    @Excel(name = "示范大棚数量(个)")
    private Long exampleGreenhouse;

    /** 村居数量(个) */
    @Excel(name = "村居数量(个)")
    private Long rusticate;

    /** 联合社耕地面积(万亩) */
    @Excel(name = "联合社耕地面积(万亩)")
    private Float cultivatedAlly;

    /** 大棚数量(个) */
    @Excel(name = "大棚数量(个)")
    private Long greenhouse;

    /** 农产品产值(万元) */
    @Excel(name = "农产品产值(万元)")
    private Long outputValue;

    /** 庞家镇矢量边界 */
    @Excel(name = "庞家镇矢量边界")
    private String vectorBoundary;

    /** 庞家镇村庄矢量边界 */
    @Excel(name = "庞家镇村庄矢量边界")
    private String villageVectorBoundary;

    /** 图片 */
    private String img;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCultivatedArea(Float cultivatedArea)
    {
        this.cultivatedArea = cultivatedArea;
    }

    public Float getCultivatedArea()
    {
        return cultivatedArea;
    }
    public void setFoodstuffProduction(Float foodstuffProduction)
    {
        this.foodstuffProduction = foodstuffProduction;
    }

    public Float getFoodstuffProduction()
    {
        return foodstuffProduction;
    }
    public void setVegetablePlantingArea(Long vegetablePlantingArea)
    {
        this.vegetablePlantingArea = vegetablePlantingArea;
    }

    public Long getVegetablePlantingArea()
    {
        return vegetablePlantingArea;
    }
    public void setVegetableProduction(Long vegetableProduction)
    {
        this.vegetableProduction = vegetableProduction;
    }

    public Long getVegetableProduction()
    {
        return vegetableProduction;
    }
    public void setType(Long type)
    {
        this.type = type;
    }

    public Long getType()
    {
        return type;
    }
    public void setAgriculturalPlantingArea(Long agriculturalPlantingArea)
    {
        this.agriculturalPlantingArea = agriculturalPlantingArea;
    }

    public Long getAgriculturalPlantingArea()
    {
        return agriculturalPlantingArea;
    }
    public void setAgricultureProduction(Long agricultureProduction)
    {
        this.agricultureProduction = agricultureProduction;
    }

    public Long getAgricultureProduction()
    {
        return agricultureProduction;
    }
    public void setAgricultureOutputVaule(Long agricultureOutputVaule)
    {
        this.agricultureOutputVaule = agricultureOutputVaule;
    }

    public Long getAgricultureOutputVaule()
    {
        return agricultureOutputVaule;
    }
    public void setTotalPopulation(Long totalPopulation)
    {
        this.totalPopulation = totalPopulation;
    }

    public Long getTotalPopulation()
    {
        return totalPopulation;
    }
    public void setCoverArea(Float coverArea)
    {
        this.coverArea = coverArea;
    }

    public Float getCoverArea()
    {
        return coverArea;
    }
    public void setExampleGreenhouse(Long exampleGreenhouse)
    {
        this.exampleGreenhouse = exampleGreenhouse;
    }

    public Long getExampleGreenhouse()
    {
        return exampleGreenhouse;
    }
    public void setRusticate(Long rusticate)
    {
        this.rusticate = rusticate;
    }

    public Long getRusticate()
    {
        return rusticate;
    }
    public void setCultivatedAlly(Float cultivatedAlly)
    {
        this.cultivatedAlly = cultivatedAlly;
    }

    public Float getCultivatedAlly()
    {
        return cultivatedAlly;
    }
    public void setGreenhouse(Long greenhouse)
    {
        this.greenhouse = greenhouse;
    }

    public Long getGreenhouse()
    {
        return greenhouse;
    }
    public void setOutputValue(Long outputValue)
    {
        this.outputValue = outputValue;
    }

    public Long getOutputValue()
    {
        return outputValue;
    }
    public void setVectorBoundary(String vectorBoundary)
    {
        this.vectorBoundary = vectorBoundary;
    }

    public String getVectorBoundary()
    {
        return vectorBoundary;
    }
    public void setVillageVectorBoundary(String villageVectorBoundary)
    {
        this.villageVectorBoundary = villageVectorBoundary;
    }

    public String getVillageVectorBoundary()
    {
        return villageVectorBoundary;
    }
    public void setCreatedBy(String createdBy)
    {
        this.createdBy = createdBy;
    }

    public String getCreatedBy()
    {
        return createdBy;
    }
    public void setCreatedTime(Date createdTime)
    {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime()
    {
        return createdTime;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    @Override
    public String toString() {
        return "CropsComprehensiveData{" +
                "id=" + id +
                ", cultivatedArea=" + cultivatedArea +
                ", foodstuffProduction=" + foodstuffProduction +
                ", vegetablePlantingArea=" + vegetablePlantingArea +
                ", vegetableProduction=" + vegetableProduction +
                ", type=" + type +
                ", agriculturalPlantingArea=" + agriculturalPlantingArea +
                ", agricultureProduction=" + agricultureProduction +
                ", agricultureOutputVaule=" + agricultureOutputVaule +
                ", totalPopulation=" + totalPopulation +
                ", coverArea=" + coverArea +
                ", exampleGreenhouse=" + exampleGreenhouse +
                ", rusticate=" + rusticate +
                ", cultivatedAlly=" + cultivatedAlly +
                ", greenhouse=" + greenhouse +
                ", outputValue=" + outputValue +
                ", vectorBoundary='" + vectorBoundary + '\'' +
                ", villageVectorBoundary='" + villageVectorBoundary + '\'' +
                ", img='" + img + '\'' +
                ", createdBy='" + createdBy + '\'' +
                ", createdTime=" + createdTime +
                '}';
    }
}
