package com.ruoyi.crops.domain;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;

 /**
 * 设备传感数据表;
 * @author : http://www.chiner.pro
 * @date : 2023-5-8
 */
public class DeviceSense {
    /** id */
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private Integer id ;

    private String DeviceId;
    /** 光照强度[Lux] */
    private Double Sunlight ;
    /** 空气温度[°C] */
    private Double AirTemp ;
    /** 空气湿度[%] */
    private Double AirHumidity ;
    /** 土壤温度[°C] */
    private Double SoilTemp ;
    /** 土壤湿度[%] */
    private Double SoilHumidity ;
    /** 土壤电导率[uS/cm] */
    private Integer SoilConduct ;
    /** 二氧化碳浓度[ppm] */
    private Double CO2_ ;
    /** PH值 */
    private Double PH ;
    /** 设备1运行行程 */
    private Integer position1 ;
    /** 设备1运行状态 */
    private String run_status1 ;
    /** 设备1控制状态 */
    private String control_status1 ;
    /** 设备2运行行程 */
    private Integer position2 ;
    /** 设备2运行状态 */
    private String run_status2 ;
    /** 设备2控制状态 */
    private String control_status2 ;
    /** 设备3运行行程 */
    private Integer position3 ;
    /** 设备3运行状态 */
    private String run_status3 ;
    /** 设备3控制状态 */
    private String control_status3 ;
    /** 设备4运行行程 */
    private Integer position4 ;
    /** 设备4运行状态 */
    private String run_status4 ;
    /** 设备4控制状态 */
    private String control_status4 ;
    /** 设备5运行行程 */
    private Integer position5 ;
    /** 设备5运行状态 */
    private String run_status5 ;
    /** 设备5控制状态 */
    private String control_status5 ;
    /** 设备6运行行程 */
    private Integer position6 ;
    /** 设备6运行状态 */
    private String run_status6 ;
    /** 设备6控制状态 */
    private String control_status6 ;
    /** 设备7运行行程 */
    private Integer position7 ;
    /** 设备7运行状态 */
    private String run_status7 ;
    /** 设备7控制状态 */
    private String control_status7 ;
    /** 设备8运行行程 */
    private Integer position8 ;
    /** 设备8运行状态 */
    private String run_status8 ;
    /** 设备8控制状态 */
    private String control_status8 ;
    /** 备用1 */
    private Integer BeiYong1 ;
    /** 备用2 */
    private Integer BeiYong2 ;
    /** 上报时间 */

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date time ;

     public Integer getId() {
         return id;
     }

     public void setId(Integer id) {
         this.id = id;
     }

     public String getDeviceId() {
         return DeviceId;
     }

     public void setDeviceId(String deviceId) {
         DeviceId = deviceId;
     }

     public Double getSunlight() {
         return Sunlight;
     }

     public void setSunlight(Double sunlight) {
         Sunlight = sunlight;
     }

     public Double getAirTemp() {
         return AirTemp;
     }

     public void setAirTemp(Double airTemp) {
         AirTemp = airTemp;
     }

     public Double getAirHumidity() {
         return AirHumidity;
     }

     public void setAirHumidity(Double airHumidity) {
         AirHumidity = airHumidity;
     }

     public Double getSoilTemp() {
         return SoilTemp;
     }

     public void setSoilTemp(Double soilTemp) {
         SoilTemp = soilTemp;
     }

     public Double getSoilHumidity() {
         return SoilHumidity;
     }

     public void setSoilHumidity(Double soilHumidity) {
         SoilHumidity = soilHumidity;
     }

     public Integer getSoilConduct() {
         return SoilConduct;
     }

     public void setSoilConduct(Integer soilConduct) {
         SoilConduct = soilConduct;
     }

     public Double getCO2_() {
         return CO2_;
     }

     public void setCO2_(Double CO2_) {
         this.CO2_ = CO2_;
     }

     public Double getPH() {
         return PH;
     }

     public void setPH(Double PH) {
         this.PH = PH;
     }

     public Integer getPosition1() {
         return position1;
     }

     public void setPosition1(Integer position1) {
         this.position1 = position1;
     }

     public String getRun_status1() {
         return run_status1;
     }

     public void setRun_status1(String run_status1) {
         this.run_status1 = run_status1;
     }

     public String getControl_status1() {
         return control_status1;
     }

     public void setControl_status1(String control_status1) {
         this.control_status1 = control_status1;
     }

     public Integer getPosition2() {
         return position2;
     }

     public void setPosition2(Integer position2) {
         this.position2 = position2;
     }

     public String getRun_status2() {
         return run_status2;
     }

     public void setRun_status2(String run_status2) {
         this.run_status2 = run_status2;
     }

     public String getControl_status2() {
         return control_status2;
     }

     public void setControl_status2(String control_status2) {
         this.control_status2 = control_status2;
     }

     public Integer getPosition3() {
         return position3;
     }

     public void setPosition3(Integer position3) {
         this.position3 = position3;
     }

     public String getRun_status3() {
         return run_status3;
     }

     public void setRun_status3(String run_status3) {
         this.run_status3 = run_status3;
     }

     public String getControl_status3() {
         return control_status3;
     }

     public void setControl_status3(String control_status3) {
         this.control_status3 = control_status3;
     }

     public Integer getPosition4() {
         return position4;
     }

     public void setPosition4(Integer position4) {
         this.position4 = position4;
     }

     public String getRun_status4() {
         return run_status4;
     }

     public void setRun_status4(String run_status4) {
         this.run_status4 = run_status4;
     }

     public String getControl_status4() {
         return control_status4;
     }

     public void setControl_status4(String control_status4) {
         this.control_status4 = control_status4;
     }

     public Integer getPosition5() {
         return position5;
     }

     public void setPosition5(Integer position5) {
         this.position5 = position5;
     }

     public String getRun_status5() {
         return run_status5;
     }

     public void setRun_status5(String run_status5) {
         this.run_status5 = run_status5;
     }

     public String getControl_status5() {
         return control_status5;
     }

     public void setControl_status5(String control_status5) {
         this.control_status5 = control_status5;
     }

     public Integer getPosition6() {
         return position6;
     }

     public void setPosition6(Integer position6) {
         this.position6 = position6;
     }

     public String getRun_status6() {
         return run_status6;
     }

     public void setRun_status6(String run_status6) {
         this.run_status6 = run_status6;
     }

     public String getControl_status6() {
         return control_status6;
     }

     public void setControl_status6(String control_status6) {
         this.control_status6 = control_status6;
     }

     public Integer getPosition7() {
         return position7;
     }

     public void setPosition7(Integer position7) {
         this.position7 = position7;
     }

     public String getRun_status7() {
         return run_status7;
     }

     public void setRun_status7(String run_status7) {
         this.run_status7 = run_status7;
     }

     public String getControl_status7() {
         return control_status7;
     }

     public void setControl_status7(String control_status7) {
         this.control_status7 = control_status7;
     }

     public Integer getPosition8() {
         return position8;
     }

     public void setPosition8(Integer position8) {
         this.position8 = position8;
     }

     public String getRun_status8() {
         return run_status8;
     }

     public void setRun_status8(String run_status8) {
         this.run_status8 = run_status8;
     }

     public String getControl_status8() {
         return control_status8;
     }

     public void setControl_status8(String control_status8) {
         this.control_status8 = control_status8;
     }

     public Integer getBeiYong1() {
         return BeiYong1;
     }

     public void setBeiYong1(Integer beiYong1) {
         this.BeiYong1 = beiYong1;
     }

     public Integer getBeiYong2() {
         return BeiYong2;
     }

     public void setBeiYong2(Integer beiYong2) {
         this.BeiYong2 = beiYong2;
     }

     public Date getTime() {
         return time;
     }

     public void setTime(Date time) {
         this.time = time;
     }

     @Override
     public String toString() {
         return "DeviceSense{" +
                 "id=" + id +
                 ", DevicedId='" + DeviceId + '\'' +
                 ", Sunlight=" + Sunlight +
                 ", AirTemp=" + AirTemp +
                 ", AirHumidity=" + AirHumidity +
                 ", SoilTemp=" + SoilTemp +
                 ", SoilHumidity=" + SoilHumidity +
                 ", SoilConduct=" + SoilConduct +
                 ", CO2_=" + CO2_ +
                 ", PH=" + PH +
                 ", position1=" + position1 +
                 ", run_status1='" + run_status1 + '\'' +
                 ", control_status1='" + control_status1 + '\'' +
                 ", position2=" + position2 +
                 ", run_status2='" + run_status2 + '\'' +
                 ", control_status2='" + control_status2 + '\'' +
                 ", position3=" + position3 +
                 ", run_status3='" + run_status3 + '\'' +
                 ", control_status3='" + control_status3 + '\'' +
                 ", position4=" + position4 +
                 ", run_status4='" + run_status4 + '\'' +
                 ", control_status4='" + control_status4 + '\'' +
                 ", position5=" + position5 +
                 ", run_status5='" + run_status5 + '\'' +
                 ", control_status5='" + control_status5 + '\'' +
                 ", position6=" + position6 +
                 ", run_status6='" + run_status6 + '\'' +
                 ", control_status6='" + control_status6 + '\'' +
                 ", position7=" + position7 +
                 ", run_status7='" + run_status7 + '\'' +
                 ", control_status7='" + control_status7 + '\'' +
                 ", position8=" + position8 +
                 ", run_status8='" + run_status8 + '\'' +
                 ", control_status8='" + control_status8 + '\'' +
                 ", BeiYong1=" + BeiYong1 +
                 ", BeiYong2=" + BeiYong2 +
                 ", time=" + time +
                 '}';
     }
 }
