package com.ruoyi.crops.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;

/**
 * 预警信息统计;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-4-27
 */
public class WarningInformation {
    /**
     * id
     */
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private Integer id;
    /**
     * 大棚编号
     */
    private Integer greenhouseNumber;
    /**
     * 监测指标
     */
    private String monitoringIndicators;
    /**
     * 监测数值
     */
    private Double monitoringValues;
    /**
     * 异常原因
     */
    private String abnormalCause;
    /**
     * 预警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date warningTime;

    private String aaus;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getGreenhouseNumber() {
        return greenhouseNumber;
    }

    public void setGreenhouseNumber(Integer greenhouseNumber) {
        this.greenhouseNumber = greenhouseNumber;
    }

    public String getMonitoringIndicators() {
        return monitoringIndicators;
    }

    public void setMonitoringIndicators(String monitoringIndicators) {
        this.monitoringIndicators = monitoringIndicators;
    }

    public Double getMonitoringValues() {
        return monitoringValues;
    }

    public void setMonitoringValues(Double monitoringValues) {
        this.monitoringValues = monitoringValues;
    }

    public String getAbnormalCause() {
        return abnormalCause;
    }

    public void setAbnormalCause(String abnormalCause) {
        this.abnormalCause = abnormalCause;
    }

    public Date getWarningTime() {
        return warningTime;
    }

    public void setWarningTime(Date warningTime) {
        this.warningTime = warningTime;
    }

    public String getAaus() {
        return aaus;
    }

    public void setAaus(String aaus) {
        this.aaus = aaus;
    }

    @Override
    public String toString() {
        return "WarningInformation{" +
                "id=" + id +
                ", greenhouseNumber=" + greenhouseNumber +
                ", monitoringIndicators='" + monitoringIndicators + '\'' +
                ", monitoringValues=" + monitoringValues +
                ", abnormalCause='" + abnormalCause + '\'' +
                ", warningTime=" + warningTime +
                ", numericalUnit='" + aaus + '\'' +
                '}';
    }
}
