package com.ruoyi.crops.service;

import java.util.List;
import com.ruoyi.crops.domain.CropsComprehensiveData;

/**
 * 作物综合数据Service接口
 * 
 * @author my
 * @date 2023-04-20
 */
public interface ICropsComprehensiveDataService 
{
    /**
     * 查询作物综合数据
     * 
     * @param id 作物综合数据主键
     * @return 作物综合数据
     */
    public CropsComprehensiveData selectCropsComprehensiveDataById(Long id);

    /**
     * 查询作物综合数据列表
     * 
     * @param cropsComprehensiveData 作物综合数据
     * @return 作物综合数据集合
     */
    public List<CropsComprehensiveData> selectCropsComprehensiveDataList(CropsComprehensiveData cropsComprehensiveData);

    /**
     * 新增作物综合数据
     * 
     * @param cropsComprehensiveData 作物综合数据
     * @return 结果
     */
    public int insertCropsComprehensiveData(CropsComprehensiveData cropsComprehensiveData);

    /**
     * 修改作物综合数据
     * 
     * @param cropsComprehensiveData 作物综合数据
     * @return 结果
     */
    public int updateCropsComprehensiveData(CropsComprehensiveData cropsComprehensiveData);

    /**
     * 批量删除作物综合数据
     * 
     * @param ids 需要删除的作物综合数据主键集合
     * @return 结果
     */
    public int deleteCropsComprehensiveDataByIds(Long[] ids);

    /**
     * 删除作物综合数据信息
     * 
     * @param id 作物综合数据主键
     * @return 结果
     */
    public int deleteCropsComprehensiveDataById(Long id);
}
