package com.ruoyi.crops.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.crops.mapper.CropsComprehensiveDataMapper;
import com.ruoyi.crops.domain.CropsComprehensiveData;
import com.ruoyi.crops.service.ICropsComprehensiveDataService;

/**
 * 作物综合数据Service业务层处理
 * 
 * @author my
 * @date 2023-04-20
 */
@Service
public class CropsComprehensiveDataServiceImpl implements ICropsComprehensiveDataService 
{
    @Autowired
    private CropsComprehensiveDataMapper cropsComprehensiveDataMapper;

    /**
     * 查询作物综合数据
     * 
     * @param id 作物综合数据主键
     * @return 作物综合数据
     */
    @Override
    public CropsComprehensiveData selectCropsComprehensiveDataById(Long id)
    {
        return cropsComprehensiveDataMapper.selectCropsComprehensiveDataById(id);
    }

    /**
     * 查询作物综合数据列表
     * 
     * @param cropsComprehensiveData 作物综合数据
     * @return 作物综合数据
     */
    @Override
    public List<CropsComprehensiveData> selectCropsComprehensiveDataList(CropsComprehensiveData cropsComprehensiveData)
    {
        return cropsComprehensiveDataMapper.selectCropsComprehensiveDataList(cropsComprehensiveData);
    }

    /**
     * 新增作物综合数据
     * 
     * @param cropsComprehensiveData 作物综合数据
     * @return 结果
     */
    @Override
    public int insertCropsComprehensiveData(CropsComprehensiveData cropsComprehensiveData)
    {
        return cropsComprehensiveDataMapper.insertCropsComprehensiveData(cropsComprehensiveData);
    }

    /**
     * 修改作物综合数据
     * 
     * @param cropsComprehensiveData 作物综合数据
     * @return 结果
     */
    @Override
    public int updateCropsComprehensiveData(CropsComprehensiveData cropsComprehensiveData)
    {
        return cropsComprehensiveDataMapper.updateCropsComprehensiveData(cropsComprehensiveData);
    }

    /**
     * 批量删除作物综合数据
     * 
     * @param ids 需要删除的作物综合数据主键
     * @return 结果
     */
    @Override
    public int deleteCropsComprehensiveDataByIds(Long[] ids)
    {
        return cropsComprehensiveDataMapper.deleteCropsComprehensiveDataByIds(ids);
    }

    /**
     * 删除作物综合数据信息
     * 
     * @param id 作物综合数据主键
     * @return 结果
     */
    @Override
    public int deleteCropsComprehensiveDataById(Long id)
    {
        return cropsComprehensiveDataMapper.deleteCropsComprehensiveDataById(id);
    }
}
