package com.ruoyi.crops.service.impl;

import com.ruoyi.crops.domain.CropStructure;
import com.ruoyi.crops.mapper.CropsStructureMapper;
import com.ruoyi.crops.service.ICropsStructureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class CropsStructureServiceImpl implements ICropsStructureService {
    @Autowired
    private CropsStructureMapper cropsStructureMapper;

    /**
     * 新增作物种植结构
     * @param cropStructure
     * @return
     */
    @Override
    public int insertCropsStructure(CropStructure cropStructure) {
        return cropsStructureMapper.insertCropsStructure(cropStructure);
    }

    /**
     * 批量新增
     * @param cropStructureList
     * @return
     */
    @Override
    public int insertBatch(List<CropStructure> cropStructureList) {
        return cropsStructureMapper.insertBatch(cropStructureList);
    }

    @Override
    public List<CropStructure> selectByTime(Date time) {
        return cropsStructureMapper.selectByTime(time);
    }
}
