package com.ruoyi.crops.service.impl;


import com.ruoyi.common.utils.DateUtil;
import com.ruoyi.crops.domain.DeviceSense;

import com.ruoyi.crops.domain.vo.DeviceSenseVo;
import com.ruoyi.crops.mapper.DeviceSenseMapper;
import com.ruoyi.crops.service.IDeviceSenseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.List;


@Service
public class DeviceSenseServiceImpl implements IDeviceSenseService {
    @Autowired
    private DeviceSenseMapper deviceSenseMapper;

    @Override
    public int insert(DeviceSense deviceSense) {
        return deviceSenseMapper.insert(deviceSense);

    }

    /**
     * 数据库判断重复数据后插入
     *
     * @param deviceSense
     */
    @Override
    public void dedupInsert(DeviceSense deviceSense) {
        deviceSenseMapper.dedupInsert(deviceSense);
    }

    @Override
    public List<DeviceSense> selectById(String deviceId) {
        return deviceSenseMapper.selectById(deviceId);
    }

    @Override
    public List<DeviceSense> selectByTime(String startTime, String endTime) {
        return deviceSenseMapper.selectByTime(startTime, endTime);
    }

    @Override
    public List<DeviceSenseVo> averageList(String type) {
        if (type.equals("hours")) {
            String dayBegin = new SimpleDateFormat("yyyy-MM-dd").format(DateUtil.getBeginDayOfYesterday());
            String dayend = new SimpleDateFormat("yyyy-MM-dd").format(DateUtil.getBeginDayOfTomorrow());
            return deviceSenseMapper.selecthours(dayBegin, dayend);
        } else if (type.equals("week")) {
            String weekBegin = new SimpleDateFormat("yyyy-MM-dd").format(DateUtil.getBeginDayOfWeek());
            String weekEnd = new SimpleDateFormat("yyyy-MM-dd").format(DateUtil.getEndDayOfWeek());
            return deviceSenseMapper.selectdays(weekBegin, weekEnd);
        } else if (type.equals("month")) {
            String monthBegin = new SimpleDateFormat("yyyy-MM-dd").format(DateUtil.getBeginDayOfMonth());
            String monthEnd = new SimpleDateFormat("yyyy-MM-dd").format(DateUtil.getEndDayOfMonth());
            return deviceSenseMapper.selectdays(monthBegin, monthEnd);
        }
        return null;
    }
}
