package com.ruoyi.crops.service.impl;

import cn.hutool.http.HttpUtil;
import com.google.gson.Gson;
import com.ruoyi.crops.domain.UserInfo;
import com.ruoyi.crops.domain.gsonBean.GsonParseFoundationBean;
import com.ruoyi.crops.mapper.FoundationMapper;
import com.ruoyi.crops.service.IFoundationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

@Service
public class FoundationServiceImpl implements IFoundationService {
    @Autowired
    private RedisTemplate redisTemplate;
    @Autowired
    private Gson gson;
    @Autowired
    private FoundationMapper foundationMapper;

    @Value("${url.foundation}")
    private String url;

    @Override
    public String getFoundation(String id) {

        Map<String, Object> map = new HashMap<>();//存放参数
        map.put("id", id);
        HashMap<String, String> headers = new HashMap<>();//存放请求头，可以存放多个请求头
        //从redis中获取token
        UserInfo cropsUserInfo = (UserInfo) redisTemplate.opsForValue().get("cropsUserInfo");

        headers.put("token", cropsUserInfo.getToken());
        String result = HttpUtil.createPost(url).addHeaders(headers).form(map).execute().body();

        GsonParseFoundationBean model = gson.fromJson(result, GsonParseFoundationBean.class);
        ArrayList<GsonParseFoundationBean.Foundation> foundations = model.data;
        for (GsonParseFoundationBean.Foundation Foundation : foundations) {
            String userId = id;
            Integer foundationId = Foundation.foundationId;
            String foundationName = Foundation.foundationName;
//            foundationMapper.insert(id,foundationId,foundationName);
        }
        return null;
    }
}
